var fileWriter = {
	write : function(dir, fileName, content, callBackOk, callBackError) {

		var gotFileWriter = function(writer) {
			writer.onwriteend = callBackOk;
			writer.write(content);
		};
		
		var gotFileEntry = function(fileEntry) {
	    	fileEntry.createWriter(gotFileWriter, callBackError);
	   	};
	   	
	   	var gotDirEntry = function (dirEntry) {
   			dirEntry.getFile(fileName, {create: true, exclusive: false}, gotFileEntry, callBackError);
	    };
	   	
	   	var gotFS = function (fileSystem) {
   			fileSystem.root.getDirectory(dir, {create: true}, gotDirEntry, callBackError);
	    };
	    
	    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS, callBackError);
	    
	}
};

var fileReader = {
	read : function(dir, fileName, callBackOk, callBackError) {
		
		var readAsText = function (file) {
	        var reader = new FileReader();
	        reader.onloadend = function(evt) {
	            callBackOk(evt.target.result);
	        };
	    	reader.readAsText(file);
	   	};
	   	
	   	var gotFileReader = function (file){
	        readAsText(file);
	    };

		var gotFileEntry = function (fileEntry) {
	        fileEntry.file(gotFileReader, callBackError);
	   	};
	   	
	   	var gotDirEntry = function (dirEntry) {
   			dirEntry.getFile(fileName, null, gotFileEntry, callBackError);
	    };
		
		var gotFS = function (fileSystem) {
			fileSystem.root.getDirectory(dir, null, gotDirEntry, callBackError);
	   	};

		window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS, callBackError);

	}
};